/**********************************************************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
 * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
 * applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
 * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
 * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO
 * THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
 * this software. By using this software, you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2020-2022 Renesas Electronics Corporation. All rights reserved.
 *********************************************************************************************************************/
/***********************************************************************/
/*                                                                     */
/*  FILE        :Main.c or Main.cpp                                    */
/*  DATE        :2023/06/30                                            */
/*  DESCRIPTION :Main Program                                          */
/*  CPU TYPE    :R5F10268                                              */
/*                                                                     */
/***********************************************************************/

/***********************************************************************
Includes
************************************************************************/
#include "r_cg_macrodriver.h"
//#include "Config_CSI00.h"
#include "Config_IT.h"
/* Start user code for include. Do not edit comment generated here */
#include "r_CSI_lib.h"

/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"


/***********************************************************************
Global variables and functions
***********************************************************************/

/*  MA7219̓WX^̃AhX\  */
#define No_OP   ( 0x00 )            // m[EIy[ṼAhX
#define Digit0  ( 0x01 )            // fWbg0̃AhX
#define Digit1  ( 0x02 )            // fWbg1̃AhX
#define Digit2  ( 0x03 )            // fWbg2̃AhX
#define Digit3  ( 0x04 )            // fWbg3̃AhX
#define Digit4  ( 0x05 )            // fWbg4̃AhX
#define Digit5  ( 0x06 )            // fWbg5̃AhX
#define Digit6  ( 0x07 )            // fWbg6̃AhX
#define Digit7  ( 0x08 )            // fWbg7̃AhX
#define DecMode ( 0x09 )            // \pfR[_̃[hw
#define Intend  ( 0x0A )            // \LEDPxݒ
#define ScanL   ( 0x0B )            // \XLݒ
#define ShutD   ( 0x0C )            // VbgE_E
#define DispT   ( 0x0F )            // fBXvCEeXg

#define LEDDIG  ( 0x04 )            // LEĎi4j

#define LED1    ( P2_bit.no0 )      // USER LED1 of RL78/G15-FPB
#define LED2    ( P2_bit.no1 )      // USER LED2 of RL78/G15-FPB
#define USER_SW ( P13_bit.no7 )     // USER SW of RL78/G15-FPB

uint8_t const INIT1[9][4] =
{   // MAX7219̐ݒR}h : {AhX,p[^}

    {DispT,0x00,DispT,0x00},        // ʏ퓮
    {ShutD,0x01,ShutD,0x01},        // X^oCR}h
    {DecMode,0x00,DecMode,0x00},    // fR[hE[hݒR}h
    {Intend,0x03,Intend,0x03},      // LEDPxݒR}h(7/32)
    {ScanL,0x07,ScanL,0x07},        // XLΏیݒiS8j
    {No_OP,0x00,No_OP,0x00},        // m[EIy[V
    {No_OP,0x00,No_OP,0x00},        // m[EIy[V
    {No_OP,0x00,No_OP,0x00},        // m[EIy[V
    {No_OP,0x00,No_OP,0x00}         // m[EIy[V

};

uint8_t const SET_DATA1[16][8] =
{   /* MAX7219p\f[^z  */
    {0x80,0x40,0x20,0x10,0x08,0x04,0x02,0x01},
    {0x81,0x42,0x24,0x18,0x18,0x24,0x42,0x81},
    {0x01,0x02,0x04,0x08,0x10,0x20,0x40,0x80},
    {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
    {0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80},
    {0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40},
    {0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20},
    {0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10},
    {0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08},
    {0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04},
    {0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02},
    {0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01},
    {0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81},
    {0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3},
    {0xE7,0xE7,0xE7,0xE7,0xE7,0xE7,0xE7,0xE7},
    {0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF}
};

uint8_t const SET_DATA2[16][8] =
{   /* MAX7219p\f[^z  */
    {0x80,0x40,0x20,0x10,0x08,0x04,0x02,0x01},
    {0x81,0x42,0x24,0x18,0x18,0x24,0x42,0x81},
    {0x01,0x02,0x04,0x08,0x10,0x20,0x40,0x80},
    {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
    {0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80},
    {0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40},
    {0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20},
    {0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10},
    {0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08},
    {0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04},
    {0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02},
    {0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01},
    {0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81},
    {0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3},
    {0xE7,0xE7,0xE7,0xE7,0xE7,0xE7,0xE7,0xE7},
    {0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF}
};

volatile uint8_t    led_data[8][4] =
{   /* MAX7219p\f[^ݒe[u : { LED,f[^ } */
    {Digit0,0x00,Digit0,0xFF},      /* fWbg0̐ݒf[^            */
    {Digit1,0x7E,Digit1,0x81},      /* fWbg1̐ݒf[^            */
    {Digit2,0x7E,Digit2,0x81},      /* fWbg2̐ݒf[^            */
    {Digit3,0x7E,Digit3,0x81},      /* fWbg3̐ݒf[^            */
    {Digit4,0x7E,Digit4,0x81},      /* fWbg4̐ݒf[^            */
    {Digit5,0x7E,Digit5,0x81},      /* fWbg5̐ݒf[^            */
    {Digit6,0x7E,Digit6,0x81},      /* fWbg6̐ݒf[^            */
    {Digit7,0x00,Digit7,0xFF}       /* fWbg7̐ݒf[^            */
};

volatile uint16_t   count = 0x0000; /* \f[^pJE^             */

volatile uint8_t    g_digit;        /* wpϐ                     */

void R_wait_SW(void);               /* SW̉҂                 */
void R_wait_250ms(void);            /* 250ms҂                        */
void R_wait_1s(uint8_t);            /* 1bPʂł̎ԑ҂              */

void R_MAIN_UserInit(void);
void main(void);


/***********************************************************************
* Function Name: main
* Description  : This function implements main function.
* Arguments    : None
* Return Value : None
************************************************************************/
void main(void)
{

    R_MAIN_UserInit();

  {

    uint8_t loop = 0x00;        // LOOPJE^
    uint8_t work;
    uint8_t i;

    R_wait_1s(1);               // 1s҂
    R_wait_SW();                // SW̉҂

/*----------------------------------------------------
    MAX7219̏s
        @DispTFfBXvCeXg[h
        AShutDFX^oC[h
        BDecModeFfR[h[h
        CIntendFLED̋Pxݒ
        DScanLFXL͈͂ݒ
        ENo_OPFMAX7219̏p
----------------------------------------------------*/

    for ( i = 0 ; i < 9 ; i++ )
    {

        // 7219̏R}hM
        work = R_CSI_Tx( (uint8_t *)&INIT1[i][0],0x02 );


        NOP();

        while ( work )
        {   // 肦ȂAG[̏

            LED1 =0;            // G[ȂLED1_
            HALT();             // G[ȂHALTŒ~

        }

    }/* End of 7219 Initialise  */

    NOP();


    while (1U)
    {

/*----------------------------------------------------
        \f[^M
----------------------------------------------------*/
        for ( i = 0 ; i < 8 ; i++ )
        {
            work = R_CSI_Tx( (uint8_t *)&led_data[i][0],0x02 );
            
            NOP();
            
            while ( work )
            {
                LED1 =0;
                HALT();         // G[ȂHALTŒ~i肦Ȃj
            }
        }

        NOP();
        for ( i = 0 ; i < 4 ; i++ )
        {                           // NOPɂ\f[^Vtg
            work = R_CSI_Tx( (uint8_t *)&INIT1[5][0],0x02 );
            
            NOP();

        }

    R_wait_250ms();


        for ( i = 0x00 ; i < 8 ; i++ )
        {                       // ̕\f[^XV
            led_data[i][1] = SET_DATA1[loop][i];
        }
        loop++;                 // [vEJE^XV
        loop &= 0x0F;

    }/* End of while loop   */

  }

}/* End  of main Function   */


/***********************************************************************
* Function Name: R_MAIN_UserInit
* Description  : This function adds user code before main function.
* Arguments    : None
* Return Value : None
************************************************************************/
void R_MAIN_UserInit(void)
{

    R_CSI00_Start();            // CSI00̓싖

    EI();                       // CSI00ʐMs߂Ɋ荞݋

}/* End of R_MAIN_UserInit Function */


/************************************************************************
* Function Name: R_wait_SW
* Description  : SW̉҂
* Arguments    : None
* Return Value : None
*************************************************************************/
void R_wait_SW(void)
{

    LED2 = 0;                   // RL78/G15-FPBLED2_

    while ( 0 == USER_SW )
    {   // SWĂԂ҂

        NOP();

    }
    
    R_wait_250ms();
    
    while ( 1 == USER_SW )
    {   // SŴ҂

        NOP();

    }
    
    R_wait_250ms();

    LED2 = 1;                   // RL78/G15-FPBLED2

}/* End of R_wait_SW Function   */


/************************************************************************
* Function Name: R_wait_250ms
* Description  : 250ms̎Ԃ҂
* Arguments    : None
* Return Value : None
*************************************************************************/
void R_wait_250ms(void)
{
    uint16_t twork;

    ITIF = 0;                   // 12bit IT 荞ݗvNA
    ITMK = 1;                   // 12bit IT 荞ݗv}XNi֎~j

    ITMC |= 0x8000;             // 12bit IT X^[g

    while ( ITIF == 0 )
    {   // 100ms҂

        NOP();

    }

    ITMC &= 0xFFF;              // 12bit IT ~
    ITIF = 0;

}/* End of R_wait_100ms Function    */


/************************************************************************
* Function Name: R_wait_1s
* Description  : 1s̎Ԃ҂
* Arguments    : time : 1bPʂ̑҂
* Return Value : None
*************************************************************************/
void R_wait_1s(uint8_t time)
{

    uint16_t loop;
    
    for ( loop = 0 ; loop < time*4 ; loop++ )
    {
        R_wait_250ms();
    }

}/* End of R_wait_1s Function   */
