/************************************************************************
* File Name    : r_CSI_lib.c
* Copyright    : `R
* Version      : V1.00
* Device(s)    : R5F10268
* Tool-Chain   : CCRL
* Description  : ̃vÓCSPI}X^MW[łB
* Creation Date: 2019/08/02
* Modified Date: 2019/09/07 ł̘AΉ
*                2023/06/30 RL78/G15-FPBɈڐA
*************************************************************************/

/************************************************************************
Includes
*************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_userdefine.h"
//#include "Config_CSI00.h"
#include "r_CSI_lib.h"

/************************************************************************
Pragma directive
*************************************************************************/
#pragma interrupt r_csi00_interrupt(vect=INTCSI00,bank=RB1)

/************************************************************************
Global variables and functions
*************************************************************************/
#define CS_PORT ( P0_bit.no4 )          // CS/LOAD Mp|[g`
#define CSI_TRG ( 0x01 )                // CSI00p̃gKErbg
#define TSFmn   ( 0x40 )                // CSI00pTSFrbg

volatile static uint8_t * gp_tx_data;   // CSI00 Mp|C^[
volatile static uint16_t  g_tx_number;  // CSI00 c著Mf[^
volatile static uint8_t   g_status=0;   /* CSI00 Xe[^X
    bit7 : G[tO (1:G[^0:)igpj
    bit0 : rW[tOi1:]^0:]jigp\jj
    */


/************************************************************************
* Function Name: r_csi00_interrupt
* Description  : INTCSI00荞ݏ[`
* Arguments    : None
* Return Value : None
*************************************************************************/
static void __near r_csi00_interrupt(void)
{

    if (g_tx_number > 0x00)         // Mf[^mF
    {   // c著Mf[^
        SIO00 = *gp_tx_data;        // Mf[^ݒ
        gp_tx_data++;               // Mf[^E|C^XV
        g_tx_number--;              // c著Mf[^JEg
    }
    else 
    {   // Mf[^݊

        if ( (SSR00L & TSFmn) )     // M󋵂mF
        {       // ŏIf[^M
            SMR00 &= 0xFFFE;        // 荞݃^C~O]
        }
        else
        {       // ŏIf[^
            CS_PORT = 1;            // MAX7219CS/LOADMlQ[g
            SMR00 |= 0x01;          // obt@󂫊荞݂ɖ߂
            g_status = 0x00;        // CSI00̒ʐMtOݒ

        }
    }
}

/************************************************************************
* Function Name: R_CSI00_Start
* Description  : CSI00̓Jn
* Arguments    : None
* Return Value : None
*************************************************************************/
void R_CSI00_Start(void)
{
    SO0 &= ~(CSI_TRG << 8);     /* SCKI00 lݒ                    */
    SOE0L |= CSI_TRG;           /* CSI00 o͋ݒ                   */
    SS0L |= CSI_TRG;            /* CSI00 싖                       */
    CSIIF00 = 0;                /* INTCSI00 荞ݗvtONA  */
    CSIMK00 = 0;                /* INTCSI00 荞݋                */
}

/************************************************************************
* Function Name: R_CSI00_Stop
* Description  : CSI00̓~
* Arguments    : None
* Return Value : None
*************************************************************************/
void R_CSI00_Stop(void)
{
    CSIMK00 = 1;                /* INTCSI00 荞݋֎~                */
    ST0L |= CSI_TRG;            /* CSI00 ~                       */
    SOE0L &= ~CSI_TRG;          /* CSI00 o͋֎~                       */
    CSIIF00 = 0;                /* INTCSI00 荞ݗvtONA  */
}

/************************************************************************
* Function Name: R_CSI_Tx_start
* Description  : CSI00f[^MN.
* Arguments    : tx_buf -
*                    Mf[^p|C^
*                tx_num -
*                    Mf[^
* Return Value : status -
*                    MD_OK       : ɑMJn
*                    MD_ERROR    : 󂫃|C^Ȃ
*                    MD_ARGERROR : p[^ُif[^0j
*************************************************************************/
MD_STATUS R_CSI_Tx_start( uint8_t * const tx_buf, uint16_t tx_num)
{
    MD_STATUS status = MD_OK;

/*----------------------------------------------------
    ŏɃp[^mF
----------------------------------------------------*/

    if (tx_num < 1)                     // Mf[^`FbN
    {       // f[^0̏ꍇ
        status = MD_ARGERROR;           // 0x81FG[
    }
    else
    {       // f[^1ȏ̏ꍇ

/*----------------------------------------------------
    p[^ȂCCSI00̋󂫂mF
----------------------------------------------------*/

        if ( ( g_status & 0x01 ) )      // gpǂ`FbN
        {       // CSI00͎gp

            status = MD_ERROR;          // |C^gpȂG[

        }
        else
        {       // CSI00͎gp\

/*----------------------------------------------------
    CSI00gp\Ȃ̂ŁCp[^Rs[
----------------------------------------------------*/

            g_tx_number = tx_num;       // Mf[^ݒ
            gp_tx_data = tx_buf;        // Mf[^̃|C^ݒ

/*----------------------------------------------------
    ʐM\Ȃ΁CCSA\[gĒʐM
    iۂ̑M͊荞݂̒ōŝŁC
    łCSIIF00Zbg邾j
----------------------------------------------------*/
                
            CS_PORT = 0;                // MAX7219CS/LOADAT[g
            g_status = 0x01;            // CSI00̃Xe[^XʐM
            CSIIF00 = 1;                // 荞ݗvZbg

        }

    }

    return (status);
}

/************************************************************************
* Function Name: R_CSI_Tx
* Description  : CSI00f[^M.
* Arguments    : tx_buf -
*                    Mf[^p|C^
*                tx_num -
*                    Mf[^
* Return Value : status -
*                    MD_OK       : ɑM
*                    MD_ERROR    : CSI00rW[őMłB
*                    MD_ARGERROR : p[^ُif[^0j
*************************************************************************/
MD_STATUS R_CSI_Tx( uint8_t * const tx_buf, uint16_t tx_num)
{

    MD_STATUS status;

/*----------------------------------------------------
    MNB
----------------------------------------------------*/

    status = R_CSI_Tx_start( (uint8_t *)tx_buf, tx_num );

/*----------------------------------------------------
    M𐳏ɋNȂ΁CM҂B
----------------------------------------------------*/

    if ( MD_OK == status )
    {
        R_CSI_wait_ready();     /* M܂ő҂                     */
    }

    return (status);
}

/************************************************************************
* Function Name: R_check_status
* Description  : CSI00̓Xe[^XmF
* Arguments    : None
* Return Value : status
*                  g_status̒li4rbgS̃|C^̏ԁj
*                   0̃rbg : |C^͖gp
*                   1̃rbg : |C^͎gp
*************************************************************************/
uint8_t R_check_status(void)
{
    return (g_status);              /* g_status̒l߂܂           */
}

/************************************************************************
* Function Name: R_CSI_Init
* Description  : CSI00̃p[^
* Arguments    : None
* Return Value : None
*************************************************************************/
void R_CSI_Init(void)
{
    g_status = 0x00;            /* CSI00̃Xe[^X𖢎gp      */
}

/************************************************************************
* Function Name: R_CSI_wait_ready
* Description  : CSI00̑M҂
* Arguments    : None
* Return Value : None
*************************************************************************/
void R_CSI_wait_ready(void)
{

    while ((g_status & 0x0F) == 0x01)   // g_status̉ʂ`FbN
    {
        if ( 0x0000 == g_tx_number )    // cf[^`FbN
        {   // c著Mf[^Ȃꍇ

            if ( ( SSR00L & 0b01100000 ) == 0x00 )
            {   // CSI00ɑM̃f[^Ȃꍇ

                CS_PORT = 1;            // MAX7219LOADMlQ[g
                SMR00 |= 0x01;          // obt@󂫊荞݂ɖ߂
                g_status = 0x00;        // CSI00̒ʐMtOݒ

            }

        }

    }/* End of M */

    NOP();

}

/************************************************************************
* Function Name: R_CSI_wait_empty
* Description  : CSI00ׂ̂Ẵf[^̑M҂iQj
* Arguments    : None
* Return Value : None
*************************************************************************/
void R_CSI_wait_empty(void)
{
    
    while ( 0x00 != (g_status & 0x0F) ) // g_status̉ʂ`FbN
    {

        NOP();                          // ʃju0x00NOPő҂

    }

    NOP();
}

